## haskell-cairo 0.13.4.2

=== demo/gtk2/Makefile ===

PROGS  = drawing drawing2 starandring text clock graph sdldrawing
SOURCES = Drawing.hs Drawing2.hs StarAndRing.hs Text.hs Clock.hs Graph.hs CairoSDL.hs

all : $(PROGS)

drawing : Drawing.hs
	$(HC_RULE)

drawing2 : Drawing2.hs
	$(HC_RULE)

starandring : StarAndRing.hs
	$(HC_RULE)

text : Text.hs
	$(HC_RULE)

clock : Clock.hs
	$(HC_RULE)

graph : Graph.hs
	$(HC_RULE)

sdldrawing : CairoSDL.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

## haskell-cairo 0.11.0

=== debian/changelog ===
haskell-cairo (0.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #583215)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 16:37:18 -0300

=== debian/control ===
Source: haskell-cairo
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
  , ghc6-prof
  , libghc6-mtl-dev
  , libghc6-mtl-prof
  , libcairo2-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/cairo
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cairo
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cairo

Package: libghc6-cairo-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libcairo2-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Cairo library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.

Package: libghc6-cairo-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Cairo library; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.

Package: libghc6-cairo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the Cairo library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.

## haskell-cairo 0.12.0

=== debian/changelog ===
haskell-cairo (0.12.0-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Nov 2011 14:32:33 +0000

haskell-cairo (0.12.0-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Jun 2011 16:27:49 +0100

haskell-cairo (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Remove preinst script, surely not required with a fresh ghc-pkg database
    due to new ghc version 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Mar 2011 23:05:03 +0530

## haskell-cairo 0.12.2

=== debian/changelog ===
haskell-cairo (0.12.2-1) unstable; urgency=low

  * New upstream release
  * Add patch from upstream for GHC 7.4.1 compatibility

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 23:05:09 +0100

## haskell-cairo 0.12.3

=== debian/changelog ===
haskell-cairo (0.12.3-1) unstable; urgency=low

  * New upstream release 
    + drop all patches.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 21:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 7)
   , cdbs
-  , haskell-devscripts (>= 0.7)
-  , ghc6
-  , ghc6-prof
-  , libghc6-mtl-dev
-  , libghc6-mtl-prof
+  , haskell-devscripts (>= 0.8)
+  , ghc
+  , ghc-prof
+  , libghc-mtl-dev
+  , libghc-mtl-prof
   , libcairo2-dev
   , gtk2hs-buildtools
-Build-Depends-Indep: ghc6-doc
-  , libghc6-mtl-doc
+Build-Depends-Indep: ghc-doc
+  , libghc-mtl-doc
 Standards-Version: 3.8.4
 Homepage: http://hackage.haskell.org/package/cairo
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cairo
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cairo
 
-Package: libghc6-cairo-dev
+Package: libghc-cairo-dev
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -36,7 +36,7 @@
  backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
  amongst others.
 
-Package: libghc6-cairo-prof
+Package: libghc-cairo-prof
 Architecture: any
 Depends: ${haskell:Depends}
   , ${misc:Depends}
@@ -52,7 +52,7 @@
  backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
  amongst others.
 
-Package: libghc6-cairo-doc
+Package: libghc-cairo-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${haskell:Depends}

## haskell-cairo 0.12.4

=== debian/changelog ===
haskell-cairo (0.12.4-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:02 +0200

haskell-cairo (0.12.4-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:03 +0200

haskell-cairo (0.12.4-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 02 Dec 2012 21:40:37 +0100

haskell-cairo (0.12.3-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:00:22 +0200

=== debian/control ===
Source: haskell-cairo
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libcairo2-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/cairo
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cairo
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cairo

Package: libghc-cairo-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libcairo2-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

Package: libghc-cairo-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

Package: libghc-cairo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|cairo-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/cairo \
    ([\d\.]*\d)/

## haskell-cairo 0.12.5.3

=== debian/changelog ===
haskell-cairo (0.12.5.3-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Apr 2014 10:45:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,15 @@
   , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
+  , libghc-utf8-string-dev (>= 0.2)
+  , libghc-utf8-string-dev (<< 0.4)
+  , libghc-utf8-string-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
   , libcairo2-dev
-  , gtk2hs-buildtools
+  , gtk2hs-buildtools (>= 0.12.5.0)
 Build-Depends-Indep: ghc-doc
+  , libghc-utf8-string-doc
   , libghc-mtl-doc
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/cairo

=== debian/watch ===
version=3
http://hackage.haskell.org/package/cairo/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-cairo 0.13.1.0

=== debian/changelog ===
haskell-cairo (0.13.1.0-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jan 2016 02:05:36 +0000

haskell-cairo (0.13.1.0-4) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:10 -0500

haskell-cairo (0.13.1.0-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:07 +0200

haskell-cairo (0.13.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:09 +0200

haskell-cairo (0.13.1.0-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 17:16:39 +0200

haskell-cairo (0.13.0.4-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:44 +0100

=== debian/control ===
Source: haskell-cairo
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-text-dev (>= 1.0.0.0),
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
 libghc-utf8-string-dev (>= 0.2),
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-prof,
 libcairo2-dev,
 gtk2hs-buildtools (>= 0.13.0.3),
Build-Depends-Indep: ghc-doc,
 libghc-mtl-doc,
 libghc-text-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.6
Homepage: http://projects.haskell.org/gtk2hs/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-cairo-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcairo2-dev,
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

Package: libghc-cairo-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

Package: libghc-cairo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

## haskell-cairo 0.13.1.1

=== debian/changelog ===
haskell-cairo (0.13.1.1-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jun 2016 18:29:19 +0100

haskell-cairo (0.13.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 13 Mar 2016 18:12:21 -0400

## haskell-cairo 0.13.3.1

=== debian/changelog ===
haskell-cairo (0.13.3.1-1build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:31:47 +0000

haskell-cairo (0.13.3.1-1build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jan 2017 10:36:24 +0100

haskell-cairo (0.13.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 21:01:25 -0400

haskell-cairo (0.13.3.0-4) unstable; urgency=medium

  * Drop build dependency on emscripten.

 -- Clint Adams <clint@debian.org>  Sun, 30 Oct 2016 00:25:04 -0400

haskell-cairo (0.13.3.0-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:45 -0400

haskell-cairo (0.13.3.0-2) experimental; urgency=medium

  * Add gtk2hs-buildtools libraries to Build-Depends.

 -- Clint Adams <clint@debian.org>  Mon, 24 Oct 2016 21:23:44 -0400

haskell-cairo (0.13.3.0-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 01:02:23 -0400

=== debian/control ===
Source: haskell-cairo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 gtk2hs-buildtools (>= 0.13.2.0),
 libghc-gtk2hs-buildtools-dev (>= 0.13.2.0),
 libghc-gtk2hs-buildtools-dev (<< 0.14),
 libghc-gtk2hs-buildtools-prof,
 haskell-devscripts (>= 0.13),
 libcairo2-dev,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-text-dev (<< 1.3),
 libghc-text-dev (>= 1.0.0.0),
 libghc-text-prof,
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-dev (>= 0.2),
 libghc-utf8-string-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-gtk2hs-buildtools-doc,
 libghc-mtl-doc,
 libghc-text-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.8
Homepage: http://projects.haskell.org/gtk2hs/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-cairo
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-cairo-dev
Architecture: any
Depends:
 libcairo2-dev,
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

Package: libghc-cairo-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

Package: libghc-cairo-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Binding to the Cairo library${haskell:ShortBlurb}
 Cairo is a library to render high quality vector graphics. There exist various
 backends that allows rendering to Gtk windows, PDF, PS, PNG and SVG documents,
 amongst others.
 .
 ${haskell:Blurb}

## haskell-cairo 0.13.4.1

=== debian/changelog ===
haskell-cairo (0.13.4.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 24 Nov 2017 16:27:31 -0500

## haskell-cairo 0.13.4.2

=== debian/changelog ===
haskell-cairo (0.13.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 18 Dec 2017 09:45:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: haskell-cairo
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -30,7 +29,7 @@
  libghc-mtl-doc,
  libghc-text-doc,
  libghc-utf8-string-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-cairo
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

=== debian/watch ===
version=3
https://hackage.haskell.org/package/cairo/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-cairo 0.13.5.0

=== demo/gtk3/Makefile ===

PROGS  = drawing drawing2 starandring text clock graph sdldrawing
SOURCES = Drawing.hs Drawing2.hs StarAndRing.hs Text.hs Clock.hs Graph.hs CairoSDL.hs

all : $(PROGS)

drawing : Drawing.hs
	$(HC_RULE)

drawing2 : Drawing2.hs
	$(HC_RULE)

starandring : StarAndRing.hs
	$(HC_RULE)

text : Text.hs
	$(HC_RULE)

clock : Clock.hs
	$(HC_RULE)

graph : Graph.hs
	$(HC_RULE)

sdldrawing : CairoSDL.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== debian/changelog ===
haskell-cairo (0.13.5.0-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 21:46:07 -0400

haskell-cairo (0.13.4.2-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:43 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 9),
@@ -29,10 +30,10 @@
  libghc-mtl-doc,
  libghc-text-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/gtk2hs/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-cairo
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cairo
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cairo]
 
 Package: libghc-cairo-dev
 Architecture: any

## haskell-cairo 0.13.6.0

=== debian/changelog ===
haskell-cairo (0.13.6.0-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 13:47:13 +0200

haskell-cairo (0.13.6.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 01 Aug 2019 19:08:47 -0400

haskell-cairo (0.13.5.0-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:27 +0300

haskell-cairo (0.13.5.0-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:03:35 +0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  gtk2hs-buildtools (>= 0.13.2.0),
  libghc-gtk2hs-buildtools-dev (>= 0.13.2.0),
@@ -16,19 +16,12 @@
  libghc-gtk2hs-buildtools-prof,
  haskell-devscripts (>= 0.13),
  libcairo2-dev,
- libghc-mtl-dev,
- libghc-mtl-prof,
- libghc-text-dev (<< 1.3),
- libghc-text-dev (>= 1.0.0.0),
- libghc-text-prof,
  libghc-utf8-string-dev (<< 1.1),
  libghc-utf8-string-dev (>= 0.2),
  libghc-utf8-string-prof,
 Build-Depends-Indep:
  ghc-doc,
  libghc-gtk2hs-buildtools-doc,
- libghc-mtl-doc,
- libghc-text-doc,
  libghc-utf8-string-doc,
 Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/gtk2hs/

## haskell-cairo 0.13.8.0

=== debian/changelog ===
haskell-cairo (0.13.8.0-1build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jul 2020 09:04:31 +0200

haskell-cairo (0.13.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 15 Jun 2020 12:09:31 +0300

## haskell-cairo 0.13.8.1

=== debian/changelog ===
haskell-cairo (0.13.8.1-1build1) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:26:54 +0000

haskell-cairo (0.13.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 17 Aug 2020 10:56:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-cairo
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional
@@ -23,7 +24,7 @@
  ghc-doc,
  libghc-gtk2hs-buildtools-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cairo
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cairo]

## haskell-cairo 0.13.8.2

=== debian/changelog ===
haskell-cairo (0.13.8.2-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 19 Jul 2022 18:28:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haskell-cairo
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -24,7 +23,7 @@
  ghc-doc,
  libghc-gtk2hs-buildtools-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cairo
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cairo]

## haskell-cairo 0.13.10.0

=== debian/changelog ===
haskell-cairo (0.13.10.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:20:04 +0000

haskell-cairo (0.13.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:50:42 +0000

haskell-cairo (0.13.10.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Sep 2023 08:38:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-cairo
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
@@ -23,7 +24,7 @@
  ghc-doc,
  libghc-gtk2hs-buildtools-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cairo
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cairo]

## haskell-cairo 0.13.11.0

=== debian/changelog ===
haskell-cairo (0.13.11.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 03 Oct 2024 19:15:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-cairo
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
@@ -24,7 +23,7 @@
  ghc-doc,
  libghc-gtk2hs-buildtools-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-cairo
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-cairo]

## haskell-cairo 0.13.12.0

=== debian/changelog ===
haskell-cairo (0.13.12.0-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 10 Jan 2026 13:18:36 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  ghc (>= 8.4.3),
  ghc-prof,
  gtk2hs-buildtools (>= 0.13.2.0),
